package zigen.plugin.db.ext.jdt;

import org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer;
import org.eclipse.jface.preference.IPreferenceStore;

import zigen.plugin.db.ext.jdt.ui.GeneratePreferencePage;

public class PreferenceInitializer extends AbstractPreferenceInitializer {

	public void initializeDefaultPreferences() {
		IPreferenceStore store = Activator.getDefault().getPreferenceStore();
		store.setDefault(GeneratePreferencePage.P_GENERATE_INFO_ON, true);
		store.setDefault(GeneratePreferencePage.P_CLASS_COMMENT_ON, true);
		store.setDefault(GeneratePreferencePage.P_UNDER_LINE_CUT, false);
		store.setDefault(GeneratePreferencePage.P_ACCESS_MODIFIERS, "private");

	}

}
